Subject: Re: [tsvwg] New Version Notification for draft-kumar-sfc-nsh-udp-transport-02.txt

From: "Surendra Kumar (smkumar)" <[email-masked]>
Date: Fri, 12 Feb 2016 00:42:55 +0000

2nd attempt to get it sent right.

-----Original Message-----
From: Surendra Kumar (smkumar) 
Sent: Thursday, February 11, 2016 4:09 PM
To: [email-masked]
Cc: [email-masked]' <[email-masked]>; [email-masked]
Subject: FW: New Version Notification for draft-kumar-sfc-nsh-udp-transport-02.txt

Hello All,

We published -02 version of the UDP transport draft for NSH based on the feedback we received from David Black and others.

In particular, it aligns with the usage guidelines in I-D.ietf-tsvwg-rfc5405bis version-07 w.r.t congestion control, security and other considerations.

Your feedback on the draft is very much appreciated.

Regards,
nsh-udp draft co-authors
PS: Home for this draft is still being hashed out.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, February 11, 2016 12:11 PM
To: Walter Haeffner <[email-masked]>; Rajeev Manur <[email-masked]>; Larry Kreeger (kreeger) <[email-masked]>; Surendra Kumar (smkumar) <[email-masked]>; Surendra Kumar (smkumar) <[email-masked]>; David T. Melman <[email-masked]>; Sumandra Majee <[email-masked]>; David Melman <[email-masked]>; Larry Kreeger (kreeger) <[email-masked]>
Subject: New Version Notification for draft-kumar-sfc-nsh-udp-transport-02.txt

A new version of I-D, draft-kumar-sfc-nsh-udp-transport-02.txt
has been successfully submitted by Surendra Kumar and posted to the IETF repository.

Name:		draft-kumar-sfc-nsh-udp-transport
Revision:	02
Title:		UDP Transport for Network Service Header
Document date:	2016-02-11
Group:		Individual Submission
Pages:		16
URL:            https://www.ietf.org/internet-drafts/draft-kumar-sfc-nsh-udp-transport-02.txt
Status:         https://datatracker.ietf.org/doc/draft-kumar-sfc-nsh-udp-transport/
Htmlized:       https://tools.ietf.org/html/draft-kumar-sfc-nsh-udp-transport-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-kumar-sfc-nsh-udp-transport-02

Abstract:
   This draft describes the transport encapsulation to carry Network
   Service Header (NSH) over UDP transport protocol.  This enables
   applications and services using NSH to communicate over a simple
   layer-3 network without topological constraints.  It brings down the
   barrier to deploy NSH by not requiring additional overhead as is
   typical of overlay encapsulation mechanisms designed on top of UDP.

   As a first benefit, this method eases the deployment of Service
   Function Chaining (SFC) by allowing SFC components to utilize the
   basic UDP/IP stack available in virtually all network elements and
   end systems to setup the virtual network and realize Service Function
   Chains (SFCs).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Surendra Kumar (smkumar)" <[email-masked]>
Date: Fri, 12 Feb 2016 00:09:27 +0000

Hello All,

Regards,
nsh-udp draft co-authors

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, February 11, 2016 12:11 PM
To: Walter Haeffner <[email-masked]>; Rajeev Manur <[email-masked]>; Larry Kreeger (kreeger) <[email-masked]>; Surendra Kumar (smkumar) <[email-masked]>; Surendra Kumar (smkumar) <[email-masked]>; David T. Melman <[email-masked]>; Sumandra Majee <[email-masked]>; David Melman <[email-masked]>; Larry Kreeger (kreeger) <[email-masked]>
Subject: New Version Notification for draft-kumar-sfc-nsh-udp-transport-02.txt

Abstract:

The IETF Secretariat

---

From: "Black, David" <[email-masked]>
Date: Wed, 17 Feb 2016 23:37:41 +0000

Hi Surendra,

<WG chair hat OFF>

While I'll need to read the NSH/UDP draft in detail, I'll supply one quick comment.

Based on this text in Section 1.1 of the NSH/UDP draft:

   NSH and more broadly SFC, in its initial specification, targets only
   a single administrative domain and falls into the applicability type
   2: controlled environment.  It is assumed that SFC is deployed over a
   single or even multiple connected IP networks that are all under the
   same administrative domain or cooperating domains.  It is thus
   assumed that these controlled networks are traffic engineered and
   manage congestion through external means.  Deploying SFC over the
   Internet and hence the use of UDP to carry NSH over the Internet is
   out of scope for this draft.

NSH/UDP applicability is close to that of MPLS/UDP (RFC 7510).  As a lot of things
were learned in working on that RFC, I strongly recommend reading RFC 7510
and aligning with it on UDP-related topics (e.g., congestion control and IPv6
zero checksums) to the extent reasonable (e.g., the NSH/UDP draft should
cite RFC 7510).

While the rfc5405bis draft provides some guidelines on what to do (which
are important, and that draft should continue to be cited), RFC 7510 is a
worked example in the same design space as NSH/UDP.  To the extent
that NSH/UDP diverges significantly from what RFC 7510 specifies on
UDP-related topics, there should be very good reasons for doing so (IMNSHO).

</WG chair hat OFF>

Thanks, --David

> From: tsvwg [mailto:[email-masked]] On Behalf Of Surendra Kumar
> (smkumar)
> Sent: Thursday, February 11, 2016 7:09 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [tsvwg] FW: New Version Notification for draft-kumar-sfc-nsh-udp-
> transport-02.txt
> 
> Hello All,
> 
> We published -02 version of the UDP transport draft for NSH based on the
> feedback we received from David Black and others.
> 
> In particular, it aligns with the usage guidelines in I-D.ietf-tsvwg-rfc5405bis
> version-07 w.r.t congestion control, security and other considerations.
> 
> To: Walter Haeffner <[email-masked]>; Rajeev Manur
> <[email-masked]>; Larry Kreeger (kreeger) <[email-masked]>;
> Surendra Kumar (smkumar) <[email-masked]>; Surendra Kumar (smkumar)
> <[email-masked]>; David T. Melman <[email-masked]>; Sumandra
> Majee <[email-masked]>; David Melman <[email-masked]>; Larry
> Kreeger (kreeger) <[email-masked]>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

---

From: "Surendra Kumar (smkumar)" <[email-masked]>
Date: Thu, 18 Feb 2016 06:21:48 +0000

David,

Many thanks for the comments again.

We will certainly review RFC7510 and update as needed.
Will also look forward to any other comments you may have.

Surendra.

-----Original Message-----
From: Black, David [mailto:[email-masked]] 
Sent: Wednesday, February 17, 2016 3:38 PM
To: Surendra Kumar (smkumar) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: New Version Notification for draft-kumar-sfc-nsh-udp-transport-02.txt

Hi Surendra,

<WG chair hat OFF>

NSH/UDP applicability is close to that of MPLS/UDP (RFC 7510).  As a lot of things were learned in working on that RFC, I strongly recommend reading RFC 7510 and aligning with it on UDP-related topics (e.g., congestion control and IPv6 zero checksums) to the extent reasonable (e.g., the NSH/UDP draft should cite RFC 7510).

While the rfc5405bis draft provides some guidelines on what to do (which are important, and that draft should continue to be cited), RFC 7510 is a worked example in the same design space as NSH/UDP.  To the extent that NSH/UDP diverges significantly from what RFC 7510 specifies on UDP-related topics, there should be very good reasons for doing so (IMNSHO).

</WG chair hat OFF>

Thanks, --David

> Subject: [tsvwg] FW: New Version Notification for 
> draft-kumar-sfc-nsh-udp- transport-02.txt
> 
> Hello All,
> 
> We published -02 version of the UDP transport draft for NSH based on 
> the feedback we received from David Black and others.
> 
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat